\input Head

\section{\tt CSDEstimate}

An abstract base class for cross-spectral density (CSD) estimation.

\subsection{Description}

{\tt CSDEstimate} is an abstract base class for cross-spectral
density (CSD) estimation.
Currently, {\tt WelchCSDEstimate} is the only concrete class 
that derives from {\tt CSDEstimate}.
({\tt WelchCSDEstimate} estimates CSDs by averaging cross-spectra 
of (possibly) overlapping segments of the input data \cite{CSDP&W}.
See {\tt WelchCSDEstimate} for more details.)
Additional concrete CSD estimation classes 
(representing, e.g., multitaper estimation \cite{CSDP&W}) 
may be added in the future.

Since {\tt CSDEstimate} is an abstract base class, one 
cannot instantiate a {\tt CSDEstimate} object.
However, pointers and references to {\tt CSDEstimate} 
are valid.
The {\tt what} and {\tt apply} methods are pure virtual.
They are defined in the derived classes, e.g. {\tt WelchCSDEstimate}.
The set and accessor methods, {\tt set\_detrendMethod} and 
{\tt detrendMethod}, are defined in {\tt CSDEstimate}.
They allow the user to set and/or determine the current value
of {\tt detrendMethod}, which is an {\tt enum} type specifying 
if a mean and/or linear trend should be removed from the input
data before estimating the CSD.

\subsection{Operating Instructions}

\subsubsection{Example Usage}

See the concrete CSD estimation classes, e.g., {\tt WelchCSDEstimate}, 
for details.

\subsection{Algorithms}

See the concrete CSD estimation classes, e.g., {\tt WelchCSDEstimate}, 
for details.

\subsection{Accuracy}

The precision of the {\tt apply} method is determined by the 
type {\tt T} of the input data:
If {\tt T} is {\tt float}, the precision is single precision.
If {\tt T} is {\tt double}, the precision is double precision.

\subsection{Performance}

See the concrete CSD estimation classes, e.g., {\tt WelchCSDEstimate}, 
for details.

\subsection{Testing}

{\tt CSDEstimate} is tested with the concrete class 
{\tt WelchCSDEstimate} by the code in {\tt tCSDEstimate.cc}.
(See {\tt WelchCSDEstimate} for details.)

\subsection{Notes}

None.

\subsection{See Also}

\begin{itemize}
\item 
class {\tt WelchCSDEstimate}
\end{itemize}

\begin{thebibliography}{99}

\bibitem{CSDP&W}
D.B.\ Percival and A.T.\ Walden,
{\em Spectral Analysis for Physical Applications\/},
(Cambridge, Cambridge, 1993).

\end{thebibliography}

\input Tail

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "datacondAPI"
%%% End: 
